

const int L9110S_1A =  16;      // P6=IO16  A控制的前進（HIGH）、後退（LOW）
const int L9110S_1B =  33;      // P1=IO33  B控制馬達的速度 0~1023

// setting PWM properties
const int freq = 5000;        //freq輸出頻率，建議值5000 Hz
const int ledChannel = 0;     //LEDChannel設定為0-15
const int resolution = 10;    //resolution代表輸出解析度，例如8代表0-255，10代表0-1023



void setup() {
  Serial.begin(115200);
  Serial.println();

  pinMode(L9110S_1A, OUTPUT);

  ledcSetup(ledChannel, freq, resolution);
  ledcAttachPin(L9110S_1B, ledChannel);

  
}
void Motor(int speed_val)
{
  if (speed_val >= 0) {
      digitalWrite(L9110S_1A , HIGH);
      ledcWrite(ledChannel, 1023-speed_val);
                    
  } else {
      digitalWrite(L9110S_1A , LOW);
      ledcWrite(ledChannel, -(speed_val));
     
  }
                 
}



void loop() {

 Serial.println("Motor Forward Fast Speed");
 Motor(1023);//正轉 1~1023
 delay(2000); 
 Serial.println("Motor Forward Slow Speed");
 Motor(500);//正轉 1~1023
 delay(2000); 
 Serial.println("Motor Reverse Fast Speed");
 Motor(-1023);//反轉 -1~ -1023
 delay(2000);
 Serial.println("Motor Reverse Slow Speed");
 Motor(-500);//反轉 -1~ -1023
 delay(2000);
 Serial.println("Motor Stop");
 Motor(0); //停止
 delay(2000);

 

  
  
}
